/* --------------- CSS RESET ----------------- */

*,
*::before,
*::after {
  box-sizing: border-box;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  height: auto;
  max-width: 100%;
}

html,body,p,ol,ul,li,dl,dt,dd,blockquote,figure,fieldset,legend,textarea,pre,iframe,hr,h1,h2,h3,h4,h5,h6 {
  margin: 0;
  padding: 0;
}

h1,h2,h3,h4,h5,h6 {
  font-size: 100%;
  font-weight: normal;
}

input,button,textarea,select {
  font: inherit;
  margin: 0;
}

iframe {
  border: 0;
}

::-moz-selection {
  /* Code for Firefox */
  color: var(--secondarycolor);
  background: rgb(255, 255, 255);
}

::selection {
  color: var(--secondarycolor);
  background: rgb(255, 255, 255);
}

html {
  width: 100%; height: 100%;
  scroll-behavior: smooth;
    box-sizing: border-box;
  --spacing:2rem;
  --spacingsmall:1rem;
  --maincolor:rgb(199, 199, 199);
  --secondarycolor:rgb(40, 40, 40) ;
  --thirdcolor: rgb(192, 57, 255) ;
  /* --maincolordark: hsl(from var(--maincolor) h s calc(l - 10)); */
}

/* -------------------------------------------------------------------- */

body{
    color: var(--maincolor);
    background-color: var(--secondarycolor);
    font-family: 'Wondertype';
    font-size: 17px;
}



p{
    max-width: 80ch;
    margin-bottom: var(--spacing);
    line-height: 1.5;
}

a{
    color: var(--thirdcolor);
}

h1,h2,h3{
    margin-bottom: var(--spacing);}

section{
margin-top: var(--spacing);
margin-bottom: var(--spacing);
}

/* -------------------- ASCII ----------------------- */

.ascii{
  font-family:'Times New Roman', Times, serif;
  /* font-size: larger; */
  -webkit-font-smoothing: none;
  -moz-osx-font-smoothing: none;
}

.mirror{
transform:scaleX(-100%);
}

/* ----------------- GRIDS ----------------------- */

header{
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100vh;
  justify-content: space-around;
}

#nav{
  position: sticky;
  top: calc(var(--spacing)*2);
}

#page{
  display: grid;
  grid-template-columns: 1fr 3fr;
  gap: var(--spacing);
  align-items: start;
  margin: var(--spacing);
}



@font-face {
    font-family: 'Wondertype';
    src: url(../fonts/WonderType-Regular.otf);
}

@font-face {
    font-family: 'Newschool';
    src: url(../fonts/font-hf.xb);
}